doctype html
html
  //- link(href="style.css" rel="stylesheet")
  //- link(href="akshadow.css" rel="stylesheet")
  title Prototyping Server
  body
    include icons.pug
    .dragger
    #content
      #invalidProjectName.z200.inlineMessage
        .inlineTitle Invalid project name
        .inlineText Please don't use spaces in the project name. You'll make Jimbo sad... 
        img(src="http://www.reactiongifs.com/wp-content/uploads/2013/08/sad-crying-cat.gif") 

      #nav
        .navItem.big
          img#logo(src="images/logo.png")
        .navItem#create
          svg.navIcon
            use(xlink:href="#icon-add")
        //- .navItem.bottom
        //-   svg.navIcon.big
        //-     use(xlink:href="#icon-cog")
      #side
        #prototypes.tag PROTOTYPES
        #newProject
          li#newProjectLi.directoryItem
            input#newProjectName(type="text" placeholder="Insert project name")
            .inlineIcon
        #directory
      #pages
        #logPage.page.current
          .header Prototyping Server
          #log.container
          #uploadContainer.upload
            div
              input(type="radio" name="upload" id="private" checked) 
              | Private
            div
              input(type="radio" name="upload" id="public") 
              | Public
            #upload.button Upload Prototype
        //- #settingsPage.page
        //-   .header Account Settings
      #updateFlag.flag.z300
        .flagIcon.infoIcon
        .flagTitle Fancy new update available
        .dismissFlag(aria-label="Close" onclick="renderer.toggleFlag(this.parentElement)") &#215;
        .flagMessage
          | There is a new version of this app ready to download. Our prototyping team made it just for you &#x1F618.
        .flagActions
          a(href="#" onclick="renderer.getNewVersion()") Collect goodies
      #deleteFlag.flag.z300
        .flagIcon.warningIcon
        .flagTitle Confirm deletion
        .dismissFlag(aria-label="Close" onclick="renderer.toggleFlag(this.parentElement)") &#215;
        .flagMessage
          | Are you sure you want to delete {prototype}?
          img(src="https://media.giphy.com/media/L9j3uTtWcV32/giphy.gif") 
        .flagActions
          #deleteProto(onclick="") Throw it away
          #keepProto(onclick="") Keep it
      #authenticateHttpFlag.flag.z300
        .flagIcon.cogIcon
        .flagTitle Authentication required (HTTP/S)
        input#gitHttpUsername(type="text" placeholder="Insert username")
        input#gitHttpPassword(type="password" placeholder="Insert password")
        input#gitHttpSubmit(type="submit" value="Go")
      #authenticateSshFlag.flag.z300
        .flagIcon.cogIcon
        .flagTitle Authentication required (SSH)
        input#gitSshPublicKey(type="text" placeholder="Insert path to public key")
        input#gitSshPrivateKey(type="text" placeholder="Insert path to private key")
        input#gitSshPassword(type="password" placeholder="Insert password (optional)")
        input#gitSshSubmit(type="submit" value="Go")
            
  script 
    include page.js
